Summary: The Omni Print Driver System
Name: Omni
Version: 0.5.1
Release: 3
License: LGPL
URL: http://oss.software.ibm.com/developer/opensource/linux/projects/omni/
Group: Applications/Publishing
Source0: http://prdownloads.sourceforge.net/omniprint/Omni-0.5.1.tar.gz
Patch0: omni-0.5.1-gcc31.patch
Patch1: omni-0.5.1-cflags.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Omni printer driver provides support for over 300 printers using
the Ghostscript framework. In addition, it provides a model for dynamically
loading printer drivers, creating new devices by editing device description
files, and simplifies new printer driver development by allowing for the
subclassing of previous device features.


%package foomatic
Summary: Foomatic data for the Omni Print Driver System
Group: System Environment/Libraries
Requires: Omni = %{version}-%{release}, foomatic
PreReq: fileutils

%description foomatic
Foomatic driver meta information for the Omni Print Driver framework.


%prep
%setup -q -n %{name}

# Fix some C++ issues so that GCC 3.1 is happier.
#%patch0 -p1 -b .gcc31

# Fix Makefiles so that CFLAGS can be adjusted easily on the command line.
%patch1 -p1 -b .cflags

# move readme into the directory, where it belongs
mv ../Omni.readme.1st .


%build
# Make the omni libs
make retail=1 CFLAGS="-fPIC $RPM_OPT_FLAGS"

# Make the foomatic files
cd Foomatic
make run
cd ..


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

# Install the libs.
mkdir -p $RPM_BUILD_ROOT/usr/lib/Omni
find . Brother Canon Epson 'HP LaserJet' IBM KS \
	Okidata Panasonic Star \
	-maxdepth 1 -name "*.so" \
	-exec install '{}' $RPM_BUILD_ROOT/usr/lib/Omni/ ';'

# Install the foomatic data
mkdir -p $RPM_BUILD_ROOT/usr/share/foomatic/db/source/{driver,opt}
cp -a Foomatic/foomatic-db/db/source/driver/* \
	$RPM_BUILD_ROOT/usr/share/foomatic/db/source/driver/
cp -a Foomatic/foomatic-db/db/source/opt/* \
	$RPM_BUILD_ROOT/usr/share/foomatic/db/source/opt/

%clean
rm -rf $RPM_BUILD_ROOT

%post foomatic
# zap the cache
/bin/rm -rf /var/cache/foomatic/{pcache,compiled}/*

%files
%defattr(-,root,root)
/usr/lib/*

%files foomatic
%defattr(-,root,root)
/usr/share/foomatic/db/*/*


%changelog
* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 0.5.1-3
- Rebuild in new environment.
- Don't apply GCC-3.x patch for now.

* Fri Feb  2 2002 Tim Waugh <twaugh@redhat.com> 0.5.1-2
- Build with -fPIC.
- Build on ia64 again.

* Tue Jan 22 2002 Tim Waugh <twaugh@redhat.com> 0.5.1-1
- 0.5.1.
- Fix foomatic sub-package group (bug #56090).
- Fix typo in foomatic sub-package description.
- REALLY zap the foomatic cache on install.
- The foomatic sub-package now prereqs fileutils (for the %%post scriptlet).
- Omni_path patch no longer needed.
- Fix some C++ issues so that GCC 3.1 is happier.
- Don't build on ia64 for the moment (GCC bug #58653).
- Fix Makefiles so that CFLAGS can be adjusted easily on the command line.
- Use RPM_OPT_FLAGS (bug #58654).

* Thu Oct 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-4
- zap the foomatic cache on install

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-2
- patch to make omni seek in /usr/lib/Omni and /opt/Omni/bin

* Mon Oct 15 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-1
- initial packaging
